Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Lists members of a program with optional filtering and cursor-based pagination. Supports filtering by id, status, customer_id, and created_at.
curl --request GET \
--url https://api.voucherify.io/v2/loyalties/programs/{programId}/members \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"customer_id": "<string>",
"program_id": "<string>",
"status": "ACTIVE",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>"
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique program identifier
Number of results to return (1-100, default 10)
1 <= x <= 100Sort order for results
-created_at, created_at, status, -status, customer_id, -customer_id Cursor token for pagination (from previous response)
Logical junction for combining filters
AND, OR Filter by exact member ID
Filter by member ID in list
100Filter by exact status
ACTIVE, INACTIVE Filter by status in list
ACTIVE, INACTIVE Filter by exact customer ID
Filter by customer ID in list
100Filter by created_at before date (ISO 8601)
Filter by created_at after date (ISO 8601)
Was this page helpful?